{

punctuation => {
	quoting  => [qw{. « » . ‹ › . ‘ ’ . “ ” . „ ‚ . ‟ ‛}],
	common   => [qw{. † ‡ • . § ¶ # . © ® ™ . ° ′ ″ . − × ÷ . ± ² √}],
	marks    => [qw{. ¿ … 〃 ‐ – . ‽ · ※ ‒ — }],
	version  => [qw{. α β}],
},

symbols => {
	binary   => [qw{. ⚋ ⚊ . ⚐ ⚑ . ☺ ☹ . ✓ ✗ . ✔ ✘ . ◄ ► }], # opposites
	currency => [qw{. ¤ ¢ ₥ € £ ₨ $ ¥ . ฿ ₫ ₭ ₦ ₱ ₮ ₩ ₪}],
	cards    => [qw{. ♠ ♡ ♢ ♣ . ♤ ♥ ♦ ♧}],
	chess    => [qw{. ♙ ♘ ♗ ♖ ♕ ♔ . ♟ ♞ ♝ ♜ ♛ ♚ }],
	signs1   => [qw{. ☮ ☯ ☻ ♪ ♲ ♿ }],
	signs2   => [qw{. ⚠ ☡ ☠}],
	communic => [ # note, mail, fax, phone, alt phone
		qw{. ✂ ✉ ℻ ☎ ☏ }, # scissors, envelope, fax sign, black phone, white phone
		qw{. 🔞 🔾 🔰 🔮 🕀 }, # paperclip, postal horn, fax machine, receiver, cell
	],
	trinity  => [qw{. ✊ ✋ ✌ . 🖹 🐜 👼 }], # rock, paper, scissors; terran, protoss, zerg
	solar    => [qw{. ☉ ☿ ♀ ♁ ♂ ♃ ♄ ♅ ♆ ♇}], # sun, mercury-neptune, pluto
	zodiac   => [
		qw{. ♈ ♉ ♊ ♋ ♌ ♍ ♎ ♏ ♐ ♑ ♒ ♓ }, # western signs
		qw{. 寅 卯 辰 巳 午 未 申 酉 戌 亥 子 丑 }, # chinese signs (earthly branches)
		qw{. 虎 兔 龍 蛇 馬 羊 猴 雞 狗 豬 鼠 牛 }, # chinese names
		qw{. 🐅 🐇 🐉 🐍 🐎 🐐 🐒 🐓 🐕 🐖 🐀 🐂 }, # chinese animals
	],
},

keys => {
	spacing  => [qw{. ⇥ ⇤ . ␣ ⌫ }], # (fw and back) tab, char
	editing  => [qw{. ⎀ ⇱ ⇞ . ⌦ ⇲ ⇟ }], # ins, home, pgup; del, end, pgdn
	modifier => [qw{. ⇪ ⇯ ⇭ . ⇧ ⇮ № }], # (lock and select) shift, l3, num
	control  => [qw{. ⎈ ⌥ ⌘ ⎄ }], # ctrl, option, cmd, compose
	command  => [qw{. ↵ ⎋ ⎉ ⎊ }], # enter, esc, pause, break
	player   => [qw{. ► ⏩ ⏭ ◼ ⚫ . ◄ ⏪ ⏮ ⏏ -❚❚ }],
},

math => {
	equal    => [qw{. ∼ ≈ ≅ ≡ ∃ . ≁ ≉ ≇ ≢ ∄ }],
	size     => [qw{. ≪ < ≤ \= ≥ \> ≫ . - ≮ ≰ ≠ ≱ ≯ - }],
	set      => [qw{. ∈ ⊂ ⊆ ∀ ⊇ ⊃ ∋ ∪ . ∉ ⊄ ⊈ ∅ ⊉ ⊅ ∌ ∩ }],
	logic    => [qw{. ∧ ∨ ⊻ ⊥ ¬ . ⊼ ⊽ ↔ ⊤ - }],
},

arrows => {
	single   => [qw{. ↖ ↑ ↗ ↔ . ← - → ↕ . ↙ ↓ ↘ - }],
	double   => [qw{. ⇖ ⇑ ⇗ ⇔ . ⇐ - ⇒ ⇕ . ⇙ ⇓ ⇘ - }],
	white    => [qw{. ⬁ ⇧ ⬀ ⬄ . ⇦ - ⇨ ⇳ . ⬃ ⇩ ⬂ - }],
	black    => [qw{. ⬉ ⬆ ⬈ ⬌ . ⬅ - ➡ ⬍ . ⬋ ⬇ ⬊ - }],
	block    => [qw{. ◩ ⬒ ⬔   . ◧ □ ◨   . ⬕ ⬓ ◪   }],
	blacktri => [qw{. ◤ ▲ ◥   . ◀ ◆ ▶   . ◣ ▼ ◢   }],
	whitetri => [qw{. ◸ △ ◹   . ◁ ◇ ▷   . ◺ ▽ ◿   }],
	-large   => [qw{.      .  -    .      }],
	-heavy   => [qw{.      .  -    .      }],
},

lines => {
	double   => [qw{. ╔ ╦ ╗ ═ . ╠ ╬ ╣ ║ . ╚ ╩ ╝ - }],
	doubleh  => [qw{. ╒ ╤ ╕   . ╞ ╪ ╡   . ╘ ╧ ╛   }],
	doublev  => [qw{. ╓ ╥ ╖   . ╟ ╫ ╢   . ╙ ╨ ╜   }],
	single   => [qw{. ┌ ┬ ┐   . ├ ┼ ┤   . └ ┴ ┘   }],
	heavy    => [qw{. ┏ ┳ ┓   . ┣ ╋ ┫   . ┗ ┻ ┛   }],
	heavyh   => [qw{. ┍ ┯ ┑   . ┝ ┿ ┥   . ┕ ┷ ┙   }],
	heavyv   => [qw{. ┎ ┰ ┒   . ┠ ╂ ┨   . ┖ ┸ ┚   }],
	straight => [qw{
		. ╴ ─ ╌ ┄ ┈ ╶ ╾
		. ╸ ━ ╍ ┅ ┉ ╺ ╼
		. ╵ │ ╎ ┆ ┊ ╷ ╿
		. ╹ ┃ ╏ ┇ ┋ ╻ ╽
	}],
	curved   => [qw{. ╭ ╮ . ╰ ╯ }],
	diagonal => [qw{. ╱ ╳ ╲ }],
	# ┞┟┡┢┦┧┩┪┭┮┱┲┵┶┹┺┽┾╀╁╃╄╅╆╇╈╉╊
},

block => {
	square   => [qw{. □ ▣ ■ . ▤ ▦ ▥ . ▧ ▩ ▨}],
	shades   => [qw{. ░ . ▒ . ▓ }],
	fill4    => [qw{. ▘ ▀ ▝ . ▌ █ ▐ . ▖ ▄ ▗ }],
	fill4i   => [qw{. ▛ ▚ ▟ . ▙ ▞ ▜ }],
	fill8    => [qw{. ▁ ▂ ▃ ▄ ▅ ▆ ▇ ▔ . ▏ ▎ ▍ ▌ ▋ ▊ ▉ ▕ }],
},

latin => {
	sample   => [qw{
		. å ä ö ü ß
		. ā æ ø ű ſ
		. á è õ û ç
		. ą ı ơ ů þ
	}],
	uncommon => [qw{
		.>Englisc   æ ð ē ȝ œ þ ƿ
		.>Sámi      á č đ ŋ š ŧ ž
		.>Slavic    ą ě ł ů ź ż ž
		.>Türkçe    ç ğ ı İ ö ş ü
		.>Esperanto ĉ ĝ ĥ ĵ ŝ ŭ
	}],
},

ipa => {
	cons => [qw{
		- BiL:Bilabial LD:Labiodental D:Dental Alv:Alveolar PA:Postalveolar
		  Rf:Retroflex Pal:Palatal Vel:Velar Uv:Uvular Ph:Pharyngeal
		  EG:Epiglottal Gl:Glottal
		.>Plosive                   p  -ȹ >  >  t  ʈ  c  k  q  =  ʡ  ʔ
		.>Voiced_Plosive            b  -ȸ >  >  d  ɖ  ɟ  ɡ  ɢ  =  -  =
		.>Nasal                     m  ɱ  >  >  n  ɳ  ɲ  ŋ  ɴ  =  =  =
		.>Trill                     ʙ  -  >  >  r  -  -  =  ʀ  =  -я =
		.>Tap/flap                  -  ⱱ  >  >  ɾ  ɽ  -  =  ɢ̆  =  -  =
		.>Fricative                 ɸ  f  θ  s  ʃ  ʂ  ç  x  χ  ħ  ʜ  h
		.>Voiced_fricative          β  v  ð  z  ʒ  ʐ  ʝ  ɣ  ʁ  ʕ  ʢ  ɦ
		.>Lateral_fricative         =  =  >  >  ɬ  -  -  -  -  =  =  =
		.>Voiced_lateral_fricative  =  =  >  >  ɮ  -  -  -  -  =  =  =
		.>Approximant               -  ʋ  >  >  ɹ  ɻ  j  ɰ  -  -  -  =
		.>Lateral_approximant       =  =  >  >  l  ɭ  ʎ  ʟ  -  =  =  =
		.>Click                     ʘ  -  ǀ  ǁ  ǃ  -‼ ǂ  -  -  =  =  =
		.>Implosive                 ɓ  ɗ̪  >  >  ɗ  -ᶑ ʄ  ɠ  ʛ  =  =  =
	}],
	consco => [qw{
		- co:coarticulated .>sç ɕ .>zʝ ʑ .>ʃx ɧ .>jʷ ɥ .>hw̥ ʍ .>ɰʷ w
	}],
	vowels => [(
		'-',
		map { substr($_, 0, 1).':'.$_, substr($_, 0, 1)." r:$_ rounded" }
		qw{Front Central Back}
	), qw{
		.>Close      i y  ɨ ʉ  ɯ u
		.>Near-close ɪ ʏ  - -  - ʊ
		.>Close-mid  e ø  ɘ ɵ  ɤ o
		.>Mid        - -  ə -  - -
		.>Open-mid   ɛ œ  ɜ ɞ  ʌ ɔ
		.>Near-open  æ -  ɐ -  - -
		.>Open       a ɶ  - -  ɑ ɒ
	}],
},

japanese => {
	hira => [qw{
		  - A  I  U  E  O  _
		.>  あ い う え お =
		.>K か き く け こ =
		.>S さ し す せ そ =
		.>T た ち つ て と =
		.>N な に ぬ ね の ん
		.>H は ひ ふ へ ほ =
		.>M ま み む め も =
		.>Y や =  ゆ =  よ =
		.>R ら り る れ ろ =
		.>W わ -ゐ = -ゑ を =
	}],
	hiraderiv => [qw{
		  - A  I  U  E  O
		.>G が ぎ ぐ げ ご
		.>Z ざ じ ず ぜ ぞ
		.>D だ ぢ づ で ど
		.>B ば び ぶ べ ぼ
		.>P ぱ ぴ ぷ ぺ ぽ
	}],
	kata => [qw{
		  - A  I  U  E  O  _
		.>  ア イ ウ エ オ ー
		.>K カ キ ク ケ コ =
		.>S サ シ ス セ ソ =
		.>T タ チ ツ テ ト =
		.>N ナ ニ ヌ ネ ノ ン
		.>H ハ ヒ フ ヘ ホ =
		.>M マ ミ ム メ モ =
		.>Y ヤ -  ユ -  ヨ =
		.>R ラ リ ル レ ロ =
		.>W ワ ヰ -  ヱ ヲ =
	}],
	kataderiv => [qw{
		  - A  I  U  E  O
		.>G ガ ギ グ ゲ ゴ
		.>Z ザ ジ ズ ゼ ゾ
		.>D ダ ヂ ヅ デ ド
		.>B バ ビ ブ ベ ボ
		.>P パ ピ プ ペ ポ
		.>V ヷ ヸ ヴ ヹ ヺ
	}],
},

}
